/*
 * Cre
 *
 * Copyright(c)株式会社トラスト・ソフトウェア・システム
 */
import java.io.IOException;

import com.pdftools.pdf2imgapi.Pdf2Img;
//import com.pdftools.p2ia.Pdf2Img;

public class Cre {

	public static void main(String[] args){

		// インスタンス生成
		Pdf2Img doc = new Pdf2Img();

		// ライセンスキー
		Pdf2Img.setLicenseKey("ライセンスキー文字列");		//適切なライセンスキーに替えます。

		try{
			// 変換
			if(!doc.convertFile("input.pdf", "cre.jpg", null)){
				int err = doc.getErrorCode();

				if(err >= 0x8A120000 && err <= 0x8A12FFFF)
					throw new Exception(String.format("ライセンスが無効です。(0x%08X)", err));
				else
					throw new IOException(String.format("エラー(0x%08X)", err));
			}
		}catch(Throwable e){
			e.printStackTrace();
		}finally{
			// 後始末
			doc.close();
			doc.destroyObject();
		}
	}
}
